﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GTCP_constraint.sql **/
 EXEC P_ALTERPK 'PK_GTCP_ACCESSCONF_ENTRY', 'T_GTCP_ACCESSCONF_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_ACCESSCONF_ENTRY' AND KSQL_INDNAME = 'IDX_GTCP_ACCESSCONF_ENTRY_FK') CREATE INDEX IDX_GTCP_ACCESSCONF_ENTRY_FK ON T_GTCP_ACCESSCONF_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_GTCP_ACCESSCONFIG', 'T_GTCP_ACCESSCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_ACCESSCONFIG' AND KSQL_INDNAME = 'IDX_GTCP_ACCESSCONFIG_BIZ') CREATE INDEX IDX_GTCP_ACCESSCONFIG_BIZ ON T_GTCP_ACCESSCONFIG ( FACCESSPROJECT );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_ACCESSCONFIG' AND KSQL_INDNAME = 'IDX_GTCP_ACCESSCONFIG_ORGID') CREATE INDEX IDX_GTCP_ACCESSCONFIG_ORGID ON T_GTCP_ACCESSCONFIG ( FORGID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_ACCESSCONFIG' AND KSQL_INDNAME = 'IDX_GTCP_ACCESSCONFIG_TAX') CREATE INDEX IDX_GTCP_ACCESSCONFIG_TAX ON T_GTCP_ACCESSCONFIG ( FTAXATIONSYS ,FTAXCATEGORY ,FTAXAREAGROUP );


 EXEC P_ALTERPK 'PK_GTCP_ACCESSCONFIG_L', 'T_GTCP_ACCESSCONFIG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_ACCESSCONFIG_L' AND KSQL_INDNAME = 'IDX_GTCP_ACCESSCONFIG_L_0') CREATE INDEX IDX_GTCP_ACCESSCONFIG_L_0 ON T_GTCP_ACCESSCONFIG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_GTCP_BIZ_TYPE', 'T_GTCP_BIZ_TYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_BIZ_TYPE' AND KSQL_INDNAME = 'IDX_GTCP_BTYPE_NUM') CREATE INDEX IDX_GTCP_BTYPE_NUM ON T_GTCP_BIZ_TYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_GTCP_BIZ_TYPE_L', 'T_GTCP_BIZ_TYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_BIZ_TYPE_L' AND KSQL_INDNAME = 'IDX_GTCP_BIZ_TYPE_L_0') CREATE INDEX IDX_GTCP_BIZ_TYPE_L_0 ON T_GTCP_BIZ_TYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_GTCP_BIZTAXCATEGORY', 'T_GTCP_BIZTAXCATEGORY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_BIZTAXCATEGORY' AND KSQL_INDNAME = 'IDX_GTCP_BIZTAXCATEGORY_FK') CREATE INDEX IDX_GTCP_BIZTAXCATEGORY_FK ON T_GTCP_BIZTAXCATEGORY ( FID );


 EXEC P_ALTERPK 'PK_GTCP_BIZTYPETAXAREA', 'T_GTCP_BIZTYPETAXAREA', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_BIZTYPETAXAREA' AND KSQL_INDNAME = 'IDX_GTCP_BIZTYPETAXAREA_FK') CREATE INDEX IDX_GTCP_BIZTYPETAXAREA_FK ON T_GTCP_BIZTYPETAXAREA ( FID );


 EXEC P_ALTERPK 'PK_GTCP_BIZTYPETAXSYS', 'T_GTCP_BIZTYPETAXSYS', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_BIZTYPETAXSYS' AND KSQL_INDNAME = 'IDX_GTCP_BIZTYPETAXSYS_FK') CREATE INDEX IDX_GTCP_BIZTYPETAXSYS_FK ON T_GTCP_BIZTYPETAXSYS ( FID );


 EXEC P_ALTERPK 'PK_GTCP_FETCHITEM', 'T_GTCP_FETCHITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_FETCHITEM' AND KSQL_INDNAME = 'IDX_GTCP_FETCHITEM_BIZ') CREATE INDEX IDX_GTCP_FETCHITEM_BIZ ON T_GTCP_FETCHITEM ( FBIZTYPE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_FETCHITEM' AND KSQL_INDNAME = 'IDX_GTCP_FETCHITEM_NO') CREATE INDEX IDX_GTCP_FETCHITEM_NO ON T_GTCP_FETCHITEM ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_FETCHITEM' AND KSQL_INDNAME = 'IDX_GTCP_FETCHITEM_TAX') CREATE INDEX IDX_GTCP_FETCHITEM_TAX ON T_GTCP_FETCHITEM ( FTAXATIONSYS ,FTAXCATEGORY ,FTAXAREAGROUP );


 EXEC P_ALTERPK 'PK_GTCP_FETCHITEM_L', 'T_GTCP_FETCHITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_FETCHITEM_L' AND KSQL_INDNAME = 'IDX_GTCP_FETCHITEM_L_0') CREATE INDEX IDX_GTCP_FETCHITEM_L_0 ON T_GTCP_FETCHITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_GTCP_SHARDINGPLAN', 'T_GTCP_SHARDINGPLAN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_SHARDINGPLAN' AND KSQL_INDNAME = 'IDX_GTCP_SHARDINGPLAN_TAX') CREATE INDEX IDX_GTCP_SHARDINGPLAN_TAX ON T_GTCP_SHARDINGPLAN ( FTAXATIONSYS ,FTAXCATEGORY ,FTAXAREAGROUP );


 EXEC P_ALTERPK 'PK_GTCP_SHARDINGPLAN_L', 'T_GTCP_SHARDINGPLAN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_SHARDINGPLAN_L' AND KSQL_INDNAME = 'IDX_GTCP_SHARDINGPLAN_L_0') CREATE INDEX IDX_GTCP_SHARDINGPLAN_L_0 ON T_GTCP_SHARDINGPLAN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_GTCP_SHARINGPLAN_ORGS', 'T_GTCP_SHARINGPLAN_ORGS', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_SHARINGPLAN_ORGS' AND KSQL_INDNAME = 'IDX_GTCP_SHARINGPLAN_ORGS_FK') CREATE INDEX IDX_GTCP_SHARINGPLAN_ORGS_FK ON T_GTCP_SHARINGPLAN_ORGS ( FID );


 EXEC P_ALTERPK 'PK_GTCP_SHARINGPLAN_RULES', 'T_GTCP_SHARINGPLAN_RULES', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GTCP_SHARINGPLAN_RULES' AND KSQL_INDNAME = 'IDX_GTCP_SHARINGPLAN_RULES_FK') CREATE INDEX IDX_GTCP_SHARINGPLAN_RULES_FK ON T_GTCP_SHARINGPLAN_RULES ( FID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GTCP_constraint.sql **/
